changeset 16258:51e5394036c6

setlocale tests: Avoid test failure on Solaris 11 2011-11. * tests/test-setlocale2.sh: Use 'env' to set the LC_ALL environment variable.
author Bruno Haible <bruno@clisp.org>
date Sun, 08 Jan 2012 23:32:36 +0100
parents a5001764146b
children d571b7ad9c91
files ChangeLog tests/test-setlocale2.sh
diffstat 2 files changed, 10 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2012-01-08  Bruno Haible  <bruno@clisp.org>
+
+	setlocale tests: Avoid test failure on Solaris 11 2011-11.
+	* tests/test-setlocale2.sh: Use 'env' to set the LC_ALL environment
+	variable.
+
 2012-01-08  Bruno Haible  <bruno@clisp.org>
 
 	posix_spawn_file_actions_addopen: Work around Solaris 11 2011-11 bug.
--- a/tests/test-setlocale2.sh
+++ b/tests/test-setlocale2.sh
@@ -2,14 +2,16 @@
 
 # Test locale names with likely unsupported encoding in Unix syntax.
 for name in ar_SA.ISO-8859-1 fr_FR.CP1251 zh_TW.GB18030 zh_CN.BIG5; do
-  LC_ALL=$name ./test-setlocale2${EXEEXT} 1 || exit 1
+  env LC_ALL=$name ./test-setlocale2${EXEEXT} 1 || exit 1
 done
 
 # Test locale names with likely unsupported encoding in native Windows syntax.
 for name in "Arabic_Saudi Arabia.1252" "Arabic_Saudi Arabia.65001" \
             French_France.65001 Japanese_Japan.65001 Turkish_Turkey.65001 \
             Chinese_Taiwan.65001 Chinese_China.54936 Chinese_China.65001; do
-  LC_ALL=$name ./test-setlocale2${EXEEXT} 1 || exit 1
+  # Here we use 'env' to set the LC_ALL environment variable, because on
+  # Solaris 11 2011-11, the /bin/sh refuses to do it for Turkish_Turkey.65001.
+  env LC_ALL="$name" ./test-setlocale2${EXEEXT} 1 || exit 1
 done
 
 exit 0